/*
 * Class EV_ACTIVE_LIST [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1649 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1649 [] = {0xFF01,1551,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1649 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1649 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1649 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1649 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1649 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1649 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1649 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1649 [] = {1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1649 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1649 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1649 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1649 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1649 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1649 [] = {0xFF01,1559,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1649 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1649 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1649 [] = {0xFF01,1648,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1649 [] = {0xFF01,1554,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1649 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1649 [] = {0xFF01,1584,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1649 [] = {0xFF01,1584,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1649 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1649 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1649 [] = {869,0xFFFF};


static const struct desc_info desc_1649[] = {
	{EIF_GENERIC(NULL), 14858, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1649), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1649), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1649), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1649), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1649), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1649), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1649), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1649), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1649), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1649), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1649), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1649), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1649), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1649), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1649), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1649), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1649), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1649), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13841, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1649), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1649), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1649), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13825, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1649), 13816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1649), 13817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13801, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1649), 13803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1649), 10415, 0},
	{EIF_GENERIC(NULL), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1649), 10410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1649), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10413, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1649), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1649), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1649), 13812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1649), 13821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13805, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1649), 14848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 24},
	{EIF_GENERIC(egt_32_1649), 13819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13830, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1649), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1649), 13815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14818, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1649), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1649), 13804, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14861, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14803, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14806, 21},
	{EIF_GENERIC(NULL), 14807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1649), 11009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1649), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14815, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1649), 14844, 4},
	{EIF_GENERIC(egt_40_1649), 14845, 8},
	{EIF_GENERIC(egt_41_1649), 14863, 12},
	{EIF_GENERIC(egt_42_1649), 14864, 16},
	{EIF_GENERIC(egt_43_1649), -1, 0xFFFFFFFF},
};
void Init1649(void)
{
	IDSC(desc_1649, 0, 1648);
	IDSC(desc_1649 + 1, 1, 1648);
	IDSC(desc_1649 + 32, 1134, 1648);
	IDSC(desc_1649 + 41, 1395, 1648);
	IDSC(desc_1649 + 43, 1060, 1648);
	IDSC(desc_1649 + 49, 1444, 1648);
	IDSC(desc_1649 + 58, 1570, 1648);
	IDSC(desc_1649 + 61, 1534, 1648);
	IDSC(desc_1649 + 68, 636, 1648);
	IDSC(desc_1649 + 82, 1245, 1648);
	IDSC(desc_1649 + 85, 1135, 1648);
	IDSC(desc_1649 + 94, 1422, 1648);
	IDSC(desc_1649 + 103, 878, 1648);
	IDSC(desc_1649 + 104, 586, 1648);
	IDSC(desc_1649 + 110, 658, 1648);
	IDSC(desc_1649 + 111, 617, 1648);
	IDSC(desc_1649 + 113, 288, 1648);
	IDSC(desc_1649 + 128, 254, 1648);
	IDSC(desc_1649 + 131, 554, 1648);
	IDSC(desc_1649 + 132, 916, 1648);
	IDSC(desc_1649 + 138, 340, 1648);
	IDSC(desc_1649 + 146, 1478, 1648);
	IDSC(desc_1649 + 153, 1088, 1648);
	IDSC(desc_1649 + 155, 778, 1648);
	IDSC(desc_1649 + 156, 387, 1648);
	IDSC(desc_1649 + 158, 1477, 1648);
	IDSC(desc_1649 + 160, 227, 1648);
	IDSC(desc_1649 + 162, 794, 1648);
}


#ifdef __cplusplus
}
#endif
